/* application.c generated by valac 0.56.14, the Vala compiler
 * generated from application.vala, do not modify */

/* application.vala
 *
 * Copyright 2023 skøldis
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * SPDX-License-Identifier: AGPL-3.0-or-later
 */

#include <gio/gio.h>
#include <adwaita.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include "config.h"
#include <gtk/gtk.h>
#include <glib/gi18n-lib.h>
#include <locale.h>

#if !defined(VALA_EXTERN)
#if defined(_MSC_VER)
#define VALA_EXTERN __declspec(dllexport) extern
#elif __GNUC__ >= 4
#define VALA_EXTERN __attribute__((visibility("default"))) extern
#else
#define VALA_EXTERN extern
#endif
#endif

#define JELLYBEAN_TYPE_APPLICATION (jellybean_application_get_type ())
#define JELLYBEAN_APPLICATION(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), JELLYBEAN_TYPE_APPLICATION, JellybeanApplication))
#define JELLYBEAN_APPLICATION_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), JELLYBEAN_TYPE_APPLICATION, JellybeanApplicationClass))
#define JELLYBEAN_IS_APPLICATION(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), JELLYBEAN_TYPE_APPLICATION))
#define JELLYBEAN_IS_APPLICATION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), JELLYBEAN_TYPE_APPLICATION))
#define JELLYBEAN_APPLICATION_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), JELLYBEAN_TYPE_APPLICATION, JellybeanApplicationClass))

typedef struct _JellybeanApplication JellybeanApplication;
typedef struct _JellybeanApplicationClass JellybeanApplicationClass;
typedef struct _JellybeanApplicationPrivate JellybeanApplicationPrivate;
enum  {
	JELLYBEAN_APPLICATION_0_PROPERTY,
	JELLYBEAN_APPLICATION_NUM_PROPERTIES
};
static GParamSpec* jellybean_application_properties[JELLYBEAN_APPLICATION_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))

#define JELLYBEAN_TYPE_WINDOW (jellybean_window_get_type ())
#define JELLYBEAN_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), JELLYBEAN_TYPE_WINDOW, JellybeanWindow))
#define JELLYBEAN_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), JELLYBEAN_TYPE_WINDOW, JellybeanWindowClass))
#define JELLYBEAN_IS_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), JELLYBEAN_TYPE_WINDOW))
#define JELLYBEAN_IS_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), JELLYBEAN_TYPE_WINDOW))
#define JELLYBEAN_WINDOW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), JELLYBEAN_TYPE_WINDOW, JellybeanWindowClass))

typedef struct _JellybeanWindow JellybeanWindow;
typedef struct _JellybeanWindowClass JellybeanWindowClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef void (*GSimpleActionActivateCallback) (GSimpleAction* action, GVariant* parameter, gpointer user_data);

struct _JellybeanApplication {
	AdwApplication parent_instance;
	JellybeanApplicationPrivate * priv;
};

struct _JellybeanApplicationClass {
	AdwApplicationClass parent_class;
};

struct _JellybeanApplicationPrivate {
	gchar* is_flatpak;
	gchar* troubleshooting;
};

VALA_EXTERN GSettings* jellybean_settings;
GSettings* jellybean_settings = NULL;
static gint JellybeanApplication_private_offset;
static gpointer jellybean_application_parent_class = NULL;

VALA_EXTERN GType jellybean_application_get_type (void) G_GNUC_CONST ;
G_DEFINE_AUTOPTR_CLEANUP_FUNC (JellybeanApplication, g_object_unref)
VALA_EXTERN JellybeanApplication* jellybean_application_new (void);
VALA_EXTERN JellybeanApplication* jellybean_application_construct (GType object_type);
static void jellybean_application_real_activate (GApplication* base);
VALA_EXTERN JellybeanWindow* jellybean_window_new (GtkApplication* app);
VALA_EXTERN JellybeanWindow* jellybean_window_construct (GType object_type,
                                             GtkApplication* app);
VALA_EXTERN GType jellybean_window_get_type (void) G_GNUC_CONST ;
G_DEFINE_AUTOPTR_CLEANUP_FUNC (JellybeanWindow, g_object_unref)
static void jellybean_application_on_about_action (JellybeanApplication* self);
static void jellybean_application_real_shutdown (GApplication* base);
static GObject * jellybean_application_constructor (GType type,
                                             guint n_construct_properties,
                                             GObjectConstructParam * construct_properties);
static void _jellybean_application_on_about_action_gsimple_action_activate_callback (GSimpleAction* action,
                                                                              GVariant* parameter,
                                                                              gpointer self);
static void _g_application_quit_gsimple_action_activate_callback (GSimpleAction* action,
                                                           GVariant* parameter,
                                                           gpointer self);
static void jellybean_application_finalize (GObject * obj);
static GType jellybean_application_get_type_once (void);
static void _vala_array_destroy (gpointer array,
                          gssize array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gssize array_length,
                       GDestroyNotify destroy_func);

static inline gpointer
jellybean_application_get_instance_private (JellybeanApplication* self)
{
	return G_STRUCT_MEMBER_P (self, JellybeanApplication_private_offset);
}

JellybeanApplication*
jellybean_application_construct (GType object_type)
{
	JellybeanApplication * self = NULL;
#line 25 "../src/application.vala"
	self = (JellybeanApplication*) g_object_new (object_type, "application-id", APP_ID, "flags", G_APPLICATION_DEFAULT_FLAGS, NULL);
#line 24 "../src/application.vala"
	return self;
#line 138 "application.c"
}

JellybeanApplication*
jellybean_application_new (void)
{
#line 24 "../src/application.vala"
	return jellybean_application_construct (JELLYBEAN_TYPE_APPLICATION);
#line 146 "application.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 65 "../src/application.vala"
	return self ? g_object_ref (self) : NULL;
#line 154 "application.c"
}

static void
jellybean_application_real_activate (GApplication* base)
{
	JellybeanApplication * self;
	GtkWindow* win = NULL;
	GtkWindow* _tmp0_;
	GtkWindow* _tmp1_;
	GtkWindow* _tmp2_;
	GtkWindow* _tmp3_;
	GtkWindow* _tmp5_;
	GSettings* _tmp6_;
#line 63 "../src/application.vala"
	self = (JellybeanApplication*) base;
#line 64 "../src/application.vala"
	G_APPLICATION_CLASS (jellybean_application_parent_class)->activate ((GApplication*) G_TYPE_CHECK_INSTANCE_CAST (self, adw_application_get_type (), AdwApplication));
#line 65 "../src/application.vala"
	_tmp0_ = gtk_application_get_active_window ((GtkApplication*) self);
#line 65 "../src/application.vala"
	_tmp1_ = _tmp0_;
#line 65 "../src/application.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 65 "../src/application.vala"
	win = _tmp2_;
#line 66 "../src/application.vala"
	_tmp3_ = win;
#line 66 "../src/application.vala"
	if (_tmp3_ == NULL) {
#line 184 "application.c"
		JellybeanWindow* _tmp4_;
#line 66 "../src/application.vala"
		_tmp4_ = jellybean_window_new ((GtkApplication*) self);
#line 66 "../src/application.vala"
		g_object_ref_sink (_tmp4_);
#line 66 "../src/application.vala"
		_g_object_unref0 (win);
#line 66 "../src/application.vala"
		win = (GtkWindow*) _tmp4_;
#line 194 "application.c"
	}
#line 67 "../src/application.vala"
	_tmp5_ = win;
#line 67 "../src/application.vala"
	gtk_window_present (_tmp5_);
#line 68 "../src/application.vala"
	_tmp6_ = jellybean_settings;
#line 68 "../src/application.vala"
	g_settings_delay (_tmp6_);
#line 63 "../src/application.vala"
	_g_object_unref0 (win);
#line 206 "application.c"
}

static const gchar*
string_to_string (const gchar* self)
{
	const gchar* result;
#line 1581 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1582 "glib-2.0.vapi"
	result = self;
#line 1582 "glib-2.0.vapi"
	return result;
#line 219 "application.c"
}

static void
jellybean_application_on_about_action (JellybeanApplication* self)
{
	AdwAboutWindow* about = NULL;
	GtkWindow* _tmp0_;
	GtkWindow* _tmp1_;
	GtkWindow* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	gchar** _tmp8_;
	gchar* _tmp9_;
	gchar* _tmp10_;
	gchar* _tmp11_;
	const gchar* _tmp12_;
	gchar* _tmp13_;
	const gchar* _tmp14_;
	gchar* _tmp15_;
	AdwAboutWindow* _tmp16_ = NULL;
	gchar** _tmp17_;
	gchar** _tmp18_;
	gint _tmp18__length1;
#line 71 "../src/application.vala"
	g_return_if_fail (self != NULL);
#line 72 "../src/application.vala"
	_tmp0_ = gtk_application_get_active_window ((GtkApplication*) self);
#line 72 "../src/application.vala"
	_tmp1_ = _tmp0_;
#line 72 "../src/application.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 72 "../src/application.vala"
	_tmp3_ = g_strdup (_ ("Jellybean"));
#line 72 "../src/application.vala"
	_tmp4_ = g_strdup (APP_ID);
#line 72 "../src/application.vala"
	_tmp5_ = g_strdup ("skøldis");
#line 72 "../src/application.vala"
	_tmp6_ = g_strdup (VERSION);
#line 72 "../src/application.vala"
	_tmp7_ = g_strdup ("skøldis <jellybean@turtle.garden>");
#line 72 "../src/application.vala"
	_tmp8_ = g_new0 (gchar*, 1 + 1);
#line 72 "../src/application.vala"
	_tmp8_[0] = _tmp7_;
#line 72 "../src/application.vala"
	_tmp9_ = g_strdup ("© 2023 skøldis");
#line 72 "../src/application.vala"
	_tmp10_ = g_strdup (_ ("translator-credits"));
#line 72 "../src/application.vala"
	_tmp11_ = g_strdup ("https://codeberg.org/turtle/jellybean/issues/new");
#line 72 "../src/application.vala"
	_tmp12_ = self->priv->troubleshooting;
#line 72 "../src/application.vala"
	_tmp13_ = g_strdup (_tmp12_);
#line 72 "../src/application.vala"
	_tmp14_ = string_to_string (APP_ID);
#line 72 "../src/application.vala"
	_tmp15_ = g_strconcat (_tmp14_, ".txt", NULL);
#line 72 "../src/application.vala"
	_tmp16_ = (AdwAboutWindow*) adw_about_window_new ();
#line 72 "../src/application.vala"
	gtk_window_set_transient_for ((GtkWindow*) _tmp16_, _tmp2_);
#line 72 "../src/application.vala"
	_g_object_unref0 (_tmp2_);
#line 72 "../src/application.vala"
	adw_about_window_set_application_name (_tmp16_, _tmp3_);
#line 72 "../src/application.vala"
	_g_free0 (_tmp3_);
#line 72 "../src/application.vala"
	adw_about_window_set_application_icon (_tmp16_, _tmp4_);
#line 72 "../src/application.vala"
	_g_free0 (_tmp4_);
#line 72 "../src/application.vala"
	adw_about_window_set_developer_name (_tmp16_, _tmp5_);
#line 72 "../src/application.vala"
	_g_free0 (_tmp5_);
#line 72 "../src/application.vala"
	adw_about_window_set_version (_tmp16_, _tmp6_);
#line 72 "../src/application.vala"
	_g_free0 (_tmp6_);
#line 72 "../src/application.vala"
	adw_about_window_set_developers (_tmp16_, _tmp8_);
#line 72 "../src/application.vala"
	_tmp8_ = (_vala_array_free (_tmp8_, 1, (GDestroyNotify) g_free), NULL);
#line 72 "../src/application.vala"
	adw_about_window_set_copyright (_tmp16_, _tmp9_);
#line 72 "../src/application.vala"
	_g_free0 (_tmp9_);
#line 72 "../src/application.vala"
	adw_about_window_set_translator_credits (_tmp16_, _tmp10_);
#line 72 "../src/application.vala"
	_g_free0 (_tmp10_);
#line 72 "../src/application.vala"
	adw_about_window_set_license_type (_tmp16_, GTK_LICENSE_AGPL_3_0);
#line 72 "../src/application.vala"
	adw_about_window_set_issue_url (_tmp16_, _tmp11_);
#line 72 "../src/application.vala"
	_g_free0 (_tmp11_);
#line 72 "../src/application.vala"
	adw_about_window_set_debug_info (_tmp16_, _tmp13_);
#line 72 "../src/application.vala"
	_g_free0 (_tmp13_);
#line 72 "../src/application.vala"
	adw_about_window_set_debug_info_filename (_tmp16_, _tmp15_);
#line 72 "../src/application.vala"
	_g_free0 (_tmp15_);
#line 72 "../src/application.vala"
	g_object_ref_sink (_tmp16_);
#line 72 "../src/application.vala"
	about = _tmp16_;
#line 90 "../src/application.vala"
	_tmp17_ = g_new0 (gchar*, 0 + 1);
#line 90 "../src/application.vala"
	_tmp18_ = _tmp17_;
#line 90 "../src/application.vala"
	_tmp18__length1 = 0;
#line 90 "../src/application.vala"
	adw_about_window_add_credit_section (about, _ ("Contributors"), _tmp18_);
#line 90 "../src/application.vala"
	_tmp18_ = (_vala_array_free (_tmp18_, _tmp18__length1, (GDestroyNotify) g_free), NULL);
#line 93 "../src/application.vala"
	gtk_window_present ((GtkWindow*) about);
#line 71 "../src/application.vala"
	_g_object_unref0 (about);
#line 348 "application.c"
}

static void
jellybean_application_real_shutdown (GApplication* base)
{
	JellybeanApplication * self;
	GSettings* _tmp0_;
#line 96 "../src/application.vala"
	self = (JellybeanApplication*) base;
#line 97 "../src/application.vala"
	_tmp0_ = jellybean_settings;
#line 97 "../src/application.vala"
	g_settings_apply (_tmp0_);
#line 98 "../src/application.vala"
	G_APPLICATION_CLASS (jellybean_application_parent_class)->shutdown ((GApplication*) G_TYPE_CHECK_INSTANCE_CAST (self, adw_application_get_type (), AdwApplication));
#line 364 "application.c"
}

static void
_jellybean_application_on_about_action_gsimple_action_activate_callback (GSimpleAction* action,
                                                                         GVariant* parameter,
                                                                         gpointer self)
{
#line 49 "../src/application.vala"
	jellybean_application_on_about_action ((JellybeanApplication*) self);
#line 374 "application.c"
}

static void
_g_application_quit_gsimple_action_activate_callback (GSimpleAction* action,
                                                      GVariant* parameter,
                                                      gpointer self)
{
#line 49 "../src/application.vala"
	g_application_quit ((GApplication*) self);
#line 384 "application.c"
}

static GObject *
jellybean_application_constructor (GType type,
                                   guint n_construct_properties,
                                   GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	JellybeanApplication * self;
	GSettings* _tmp0_;
	GActionEntry* action_entries = NULL;
	GActionEntry _tmp1_ = {0};
	GActionEntry _tmp2_ = {0};
	GActionEntry* _tmp3_;
	gint action_entries_length1;
	gint _action_entries_size_;
	GActionEntry* _tmp4_;
	gint _tmp4__length1;
	gchar* _tmp5_;
	gchar** _tmp6_;
	gchar** _tmp7_;
	gint _tmp7__length1;
	gchar* _tmp8_ = NULL;
	const gchar* _tmp9_;
	gchar* _tmp13_;
	const gchar* _tmp14_;
	const gchar* _tmp15_;
	gchar* _tmp16_;
#line 41 "../src/application.vala"
	parent_class = G_OBJECT_CLASS (jellybean_application_parent_class);
#line 41 "../src/application.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 41 "../src/application.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, JELLYBEAN_TYPE_APPLICATION, JellybeanApplication);
#line 42 "../src/application.vala"
	setlocale (LC_ALL, "");
#line 43 "../src/application.vala"
	bindtextdomain (GETTEXT_PACKAGE, LOCALEDIR);
#line 44 "../src/application.vala"
	bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
#line 45 "../src/application.vala"
	textdomain (GETTEXT_PACKAGE);
#line 47 "../src/application.vala"
	_tmp0_ = g_settings_new ("garden.turtle.Jellybean");
#line 47 "../src/application.vala"
	_g_object_unref0 (jellybean_settings);
#line 47 "../src/application.vala"
	jellybean_settings = _tmp0_;
#line 49 "../src/application.vala"
	memset (&_tmp1_, 0, sizeof (GActionEntry));
#line 49 "../src/application.vala"
	_tmp1_.name = "about";
#line 49 "../src/application.vala"
	_tmp1_.activate = _jellybean_application_on_about_action_gsimple_action_activate_callback;
#line 49 "../src/application.vala"
	memset (&_tmp2_, 0, sizeof (GActionEntry));
#line 49 "../src/application.vala"
	_tmp2_.name = "quit";
#line 49 "../src/application.vala"
	_tmp2_.activate = _g_application_quit_gsimple_action_activate_callback;
#line 49 "../src/application.vala"
	_tmp3_ = g_new0 (GActionEntry, 2);
#line 49 "../src/application.vala"
	_tmp3_[0] = _tmp1_;
#line 49 "../src/application.vala"
	_tmp3_[1] = _tmp2_;
#line 49 "../src/application.vala"
	action_entries = _tmp3_;
#line 49 "../src/application.vala"
	action_entries_length1 = 2;
#line 49 "../src/application.vala"
	_action_entries_size_ = action_entries_length1;
#line 53 "../src/application.vala"
	_tmp4_ = action_entries;
#line 53 "../src/application.vala"
	_tmp4__length1 = action_entries_length1;
#line 53 "../src/application.vala"
	g_action_map_add_action_entries ((GActionMap*) self, _tmp4_, (gint) _tmp4__length1, self);
#line 54 "../src/application.vala"
	_tmp5_ = g_strdup ("<primary>q");
#line 54 "../src/application.vala"
	_tmp6_ = g_new0 (gchar*, 1 + 1);
#line 54 "../src/application.vala"
	_tmp6_[0] = _tmp5_;
#line 54 "../src/application.vala"
	_tmp7_ = _tmp6_;
#line 54 "../src/application.vala"
	_tmp7__length1 = 1;
#line 54 "../src/application.vala"
	gtk_application_set_accels_for_action ((GtkApplication*) self, "app.quit", _tmp7_);
#line 54 "../src/application.vala"
	_tmp7_ = (_vala_array_free (_tmp7_, _tmp7__length1, (GDestroyNotify) g_free), NULL);
#line 56 "../src/application.vala"
	_tmp9_ = g_getenv ("FLATPAK_ID");
#line 56 "../src/application.vala"
	if (_tmp9_ != NULL) {
#line 482 "application.c"
		const gchar* _tmp10_;
		gchar* _tmp11_;
#line 57 "../src/application.vala"
		_tmp10_ = g_getenv ("FLATPAK_ID");
#line 57 "../src/application.vala"
		_tmp11_ = g_strdup_printf ("Running in flatpak environment\nApp ID: %s", _tmp10_);
#line 57 "../src/application.vala"
		_g_free0 (_tmp8_);
#line 57 "../src/application.vala"
		_tmp8_ = _tmp11_;
#line 493 "application.c"
	} else {
		gchar* _tmp12_;
#line 58 "../src/application.vala"
		_tmp12_ = g_strdup ("Running in unsupported environment");
#line 58 "../src/application.vala"
		_g_free0 (_tmp8_);
#line 58 "../src/application.vala"
		_tmp8_ = _tmp12_;
#line 502 "application.c"
	}
#line 56 "../src/application.vala"
	_tmp13_ = g_strdup (_tmp8_);
#line 56 "../src/application.vala"
	_g_free0 (self->priv->is_flatpak);
#line 56 "../src/application.vala"
	self->priv->is_flatpak = _tmp13_;
#line 60 "../src/application.vala"
	_tmp14_ = self->priv->troubleshooting;
#line 60 "../src/application.vala"
	_tmp15_ = self->priv->is_flatpak;
#line 60 "../src/application.vala"
	_tmp16_ = g_strdup_printf (_tmp14_, _tmp15_);
#line 60 "../src/application.vala"
	_g_free0 (self->priv->troubleshooting);
#line 60 "../src/application.vala"
	self->priv->troubleshooting = _tmp16_;
#line 41 "../src/application.vala"
	_g_free0 (_tmp8_);
#line 41 "../src/application.vala"
	action_entries = (g_free (action_entries), NULL);
#line 41 "../src/application.vala"
	return obj;
#line 526 "application.c"
}

static void
jellybean_application_class_init (JellybeanApplicationClass * klass,
                                  gpointer klass_data)
{
#line 23 "../src/application.vala"
	jellybean_application_parent_class = g_type_class_peek_parent (klass);
#line 23 "../src/application.vala"
	g_type_class_adjust_private_offset (klass, &JellybeanApplication_private_offset);
#line 23 "../src/application.vala"
	((GApplicationClass *) klass)->activate = (void (*) (GApplication*)) jellybean_application_real_activate;
#line 23 "../src/application.vala"
	((GApplicationClass *) klass)->shutdown = (void (*) (GApplication*)) jellybean_application_real_shutdown;
#line 23 "../src/application.vala"
	G_OBJECT_CLASS (klass)->constructor = jellybean_application_constructor;
#line 23 "../src/application.vala"
	G_OBJECT_CLASS (klass)->finalize = jellybean_application_finalize;
#line 545 "application.c"
}

static void
jellybean_application_instance_init (JellybeanApplication * self,
                                     gpointer klass)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	const gchar* _tmp4_;
	gchar* _tmp5_;
#line 23 "../src/application.vala"
	self->priv = jellybean_application_get_instance_private (self);
#line 30 "../src/application.vala"
	_tmp0_ = g_get_os_info ("NAME");
#line 30 "../src/application.vala"
	_tmp1_ = _tmp0_;
#line 30 "../src/application.vala"
	_tmp2_ = g_get_os_info ("VERSION");
#line 30 "../src/application.vala"
	_tmp3_ = _tmp2_;
#line 30 "../src/application.vala"
	_tmp4_ = g_getenv ("LANG");
#line 30 "../src/application.vala"
	_tmp5_ = g_strdup_printf ("OS: %s %s\n" \
"Version: %s\n" \
"GTK: %u.%u.%u (%d.%d.%d)\n" \
"libadwaita: %u.%u.%u (%d.%d.%d)\n" \
"\n" \
"%s\n" \
"Profile: %s\n" \
"\n" \
"Language: %s", _tmp1_, _tmp3_, VERSION, gtk_get_major_version (), gtk_get_minor_version (), gtk_get_micro_version (), GTK_MAJOR_VERSION, GTK_MINOR_VERSION, GTK_MICRO_VERSION, adw_get_major_version (), adw_get_minor_version (), adw_get_micro_version (), ADW_MAJOR_VERSION, ADW_MINOR_VERSION, ADW_MICRO_VERSION, "%s", PROFILE, _tmp4_);
#line 30 "../src/application.vala"
	self->priv->troubleshooting = _tmp5_;
#line 30 "../src/application.vala"
	_g_free0 (_tmp3_);
#line 30 "../src/application.vala"
	_g_free0 (_tmp1_);
#line 578 "application.c"
}

static void
jellybean_application_finalize (GObject * obj)
{
	JellybeanApplication * self;
#line 23 "../src/application.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, JELLYBEAN_TYPE_APPLICATION, JellybeanApplication);
#line 28 "../src/application.vala"
	_g_free0 (self->priv->is_flatpak);
#line 30 "../src/application.vala"
	_g_free0 (self->priv->troubleshooting);
#line 23 "../src/application.vala"
	G_OBJECT_CLASS (jellybean_application_parent_class)->finalize (obj);
#line 593 "application.c"
}

static GType
jellybean_application_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (JellybeanApplicationClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) jellybean_application_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (JellybeanApplication), 0, (GInstanceInitFunc) jellybean_application_instance_init, NULL };
	GType jellybean_application_type_id;
	jellybean_application_type_id = g_type_register_static (adw_application_get_type (), "JellybeanApplication", &g_define_type_info, 0);
	JellybeanApplication_private_offset = g_type_add_instance_private (jellybean_application_type_id, sizeof (JellybeanApplicationPrivate));
	return jellybean_application_type_id;
}

GType
jellybean_application_get_type (void)
{
	static volatile gsize jellybean_application_type_id__once = 0;
	if (g_once_init_enter (&jellybean_application_type_id__once)) {
		GType jellybean_application_type_id;
		jellybean_application_type_id = jellybean_application_get_type_once ();
		g_once_init_leave (&jellybean_application_type_id__once, jellybean_application_type_id);
	}
	return jellybean_application_type_id__once;
}

static void
_vala_array_destroy (gpointer array,
                     gssize array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		gssize i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}

static void
_vala_array_free (gpointer array,
                  gssize array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}

